import SystemEventManager from "./SystemEventManager";

/** 系統事件底層 */
export default class SystemEventBase {
	constructor() {
		SystemEventManager.AddSystem(this);
	}

	public get name(): string { return this.constructor.name; }

	/** 首次進入大廳 */
	public ImplementFirstEnteringLobby(): void { }

	/** 進入大廳 */
	public ImplementEnteringLobby(): void { }

	/** 關閉商城頁 */
	public ImplementCloseMall(): void { }

	/** 離開機台 */
	public ImplementLeaveSlot(slotID: number): void { }
}